Package javax.validation

# Interface Configuration<T extends Configuration<T>>

public interface Configuration<T extends Configuration<T>>

Version:
  $Rev$ $Date$

## Method Summary

Modifier and Type
Method
Description
`T`
`addMapping(InputStream stream)`
`T`
`addProperty(String name, String value)`
`ValidatorFactory`
`buildValidatorFactory()`
`T`
`constraintValidatorFactory(ConstraintValidatorFactory constraintValidatorFactory)`
`BootstrapConfiguration`
`getBootstrapConfiguration()`
`ConstraintValidatorFactory`
`getDefaultConstraintValidatorFactory()`
`MessageInterpolator`
`getDefaultMessageInterpolator()`
`ParameterNameProvider`
`getDefaultParameterNameProvider()`
`TraversableResolver`
`getDefaultTraversableResolver()`
`T`
`ignoreXmlConfiguration()`
`T`
`messageInterpolator(MessageInterpolator interpolator)`
`T`
`parameterNameProvider(ParameterNameProvider parameterNameProvider)`
`T`
`traversableResolver(TraversableResolver resolver)`

## Method Details

### ignoreXmlConfiguration

T ignoreXmlConfiguration()

### messageInterpolator

T messageInterpolator(MessageInterpolator interpolator)

### traversableResolver

T traversableResolver(TraversableResolver resolver)

### constraintValidatorFactory

T constraintValidatorFactory(ConstraintValidatorFactory constraintValidatorFactory)

### addMapping

T addMapping(InputStream stream)

### addProperty

T addProperty(String name, String value)

### getDefaultMessageInterpolator

MessageInterpolator getDefaultMessageInterpolator()

### getDefaultTraversableResolver

TraversableResolver getDefaultTraversableResolver()

### getDefaultConstraintValidatorFactory

ConstraintValidatorFactory getDefaultConstraintValidatorFactory()

### buildValidatorFactory

ValidatorFactory buildValidatorFactory()

### parameterNameProvider

T parameterNameProvider(ParameterNameProvider parameterNameProvider)

### getDefaultParameterNameProvider

ParameterNameProvider getDefaultParameterNameProvider()

### getBootstrapConfiguration

BootstrapConfiguration getBootstrapConfiguration()